
%global meadversion 2.5.5
%global namedversion 2.5.5.SP1-redhat-1
%global meadalpha .SP1_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}picketlink-federation}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.5.5.SP1-redhat-1

Name:           %{?scl_prefix}picketlink-federation
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        PicketLink Federation Core
Group:          Development/Java

%if %with mead
Source100: picketlink-parent-2.5.5.SP1-redhat-1-scm-sources.zip
Source102: picketlink-api-2.5.5.SP1-redhat-1.pom
Source103: picketlink-api-2.5.5.SP1-redhat-1-sources.jar
Source104: picketlink-api-2.5.5.SP1-redhat-1.jar
Source105: picketlink-api-2.5.5.SP1-redhat-1-javadoc.jar
Source106: picketlink-idm-parent-2.5.5.SP1-redhat-1.pom
Source107: picketlink-idm-drools-2.5.5.SP1-redhat-1-sources.jar
Source108: picketlink-idm-drools-2.5.5.SP1-redhat-1.pom
Source109: picketlink-idm-drools-2.5.5.SP1-redhat-1-javadoc.jar
Source110: picketlink-idm-drools-2.5.5.SP1-redhat-1.jar
Source111: picketlink-idm-tests-2.5.5.SP1-redhat-1.pom
Source112: picketlink-idm-tests-2.5.5.SP1-redhat-1.jar
Source113: picketlink-idm-impl-2.5.5.SP1-redhat-1.jar
Source114: picketlink-idm-impl-2.5.5.SP1-redhat-1-sources.jar
Source115: picketlink-idm-impl-2.5.5.SP1-redhat-1-javadoc.jar
Source116: picketlink-idm-impl-2.5.5.SP1-redhat-1.pom
Source117: picketlink-config-2.5.5.SP1-redhat-1.jar
Source118: picketlink-config-2.5.5.SP1-redhat-1-javadoc.jar
Source119: picketlink-config-2.5.5.SP1-redhat-1-sources.jar
Source120: picketlink-config-2.5.5.SP1-redhat-1.pom
Source121: picketlink-federation-2.5.5.SP1-redhat-1-sources.jar
Source122: picketlink-federation-2.5.5.SP1-redhat-1-javadoc.jar
Source123: picketlink-federation-2.5.5.SP1-redhat-1.jar
Source124: picketlink-federation-2.5.5.SP1-redhat-1.pom
Source125: picketlink-parent-2.5.5.SP1-redhat-1.pom
Source126: picketlink-parent-2.5.5.SP1-redhat-1-project-sources.tar.gz
Source127: picketlink-common-2.5.5.SP1-redhat-1.jar
Source128: picketlink-common-2.5.5.SP1-redhat-1-sources.jar
Source129: picketlink-common-2.5.5.SP1-redhat-1-javadoc.jar
Source130: picketlink-common-2.5.5.SP1-redhat-1.pom
Source131: picketlink-build-config-2.5.5.SP1-redhat-1.pom
Source132: picketlink-build-config-2.5.5.SP1-redhat-1.jar
Source133: picketlink-build-config-2.5.5.SP1-redhat-1-sources.jar
Source134: picketlink-idm-simple-schema-2.5.5.SP1-redhat-1-sources.jar
Source135: picketlink-idm-simple-schema-2.5.5.SP1-redhat-1.pom
Source136: picketlink-idm-simple-schema-2.5.5.SP1-redhat-1.jar
Source137: picketlink-idm-simple-schema-2.5.5.SP1-redhat-1-javadoc.jar
Source138: picketlink-impl-2.5.5.SP1-redhat-1.pom
Source139: picketlink-impl-2.5.5.SP1-redhat-1-sources.jar
Source140: picketlink-impl-2.5.5.SP1-redhat-1-javadoc.jar
Source141: picketlink-impl-2.5.5.SP1-redhat-1.jar
Source142: picketlink-idm-api-2.5.5.SP1-redhat-1-javadoc.jar
Source143: picketlink-idm-api-2.5.5.SP1-redhat-1-sources.jar
Source144: picketlink-idm-api-2.5.5.SP1-redhat-1.pom
Source145: picketlink-idm-api-2.5.5.SP1-redhat-1.jar
Source146: picketlink-base-parent-2.5.5.SP1-redhat-1.pom
%endif

License:        ASL 2.0
URL:            http://www.jboss.org/picketlink
#
Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-config = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}xmlsec >= 0:1.5.1
Requires:       %{?scl_prefix_eap}jbossxacml >= 0:2.0.8
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.1
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging-processor >= 0:1.0.3
%endif
#
Requires:       %{?scl_prefix}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-config = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-idm-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-idm-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix}picketlink-idm-simple-schema = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
PicketLink Federation Core contains the core infrastructure code.

%package -n %{?scl_prefix}picketlink-build-config
Summary:        PicketLink Build Configuration
Group:          Development/Java


%description -n %{?scl_prefix}picketlink-build-config
%{summary}.

%package -n %{?scl_prefix}picketlink-common
Summary:        PicketLink Common
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.1

%description -n %{?scl_prefix}picketlink-common
PicketLink Common Code.

%package -n %{?scl_prefix}picketlink-config
Summary:        PicketLink Config
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketlink-config
%{summary}.

%package -n %{?scl_prefix}picketlink-idm-api
Summary:        PicketLink Identity Management API
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketlink-idm-api
%{summary}.

%package -n %{?scl_prefix}picketlink-idm-impl
Summary:        PicketLink Identity Management Implementation
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketlink-idm-impl
%{summary}.

%package -n %{?scl_prefix}picketlink-idm-simple-schema
Summary:        PicketLink Identity Management - Simple JPA Entity Model
Group:          Development/Java


%description -n %{?scl_prefix}picketlink-idm-simple-schema
%{summary}.

%package -n %{?scl_prefix}picketlink-idm-tests
Summary:        PicketLink Identity Management Tests
Group:          Development/Java

Requires:       %{?scl_prefix_eap}ApacheJMeter_java >= 0:2.9
Requires:       %{?scl_prefix_eap}naming-java >= 0:0.8

%description -n %{?scl_prefix}picketlink-idm-tests
%{summary}.

%package -n %{?scl_prefix}picketlink-idm-drools
Summary:        PicketLink Identity Management Drools Integration
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}drools-compiler

%description -n %{?scl_prefix}picketlink-idm-drools
%{summary}.

%package -n %{?scl_prefix}picketlink-api
Summary:        PicketLink API
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketlink-api
%{summary}.

%package -n %{?scl_prefix}picketlink-impl
Summary:        PicketLink Main Implementation
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-common = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-impl = %{epoch}:%{version}-%{release}

%description -n %{?scl_prefix}picketlink-impl
%{summary}.

%if 0
%package -n %{?scl_prefix}picketlink-json
Summary:        PicketLink JSON
Group:          Development/Java

Requires:       %{?scl_prefix_eap}bcprov-jdk15on >= 0:1.50
Requires:       %{?scl_prefix_eap}bcpkix-jdk15on >= 0:1.50
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.1
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging-processor >= 0:1.0.3
%endif

%description -n %{?scl_prefix}picketlink-json
PicketLink JSON provides an API and implementation for JSON based on related
specifications such as JWT, JWS and JWE.

%package -n %{?scl_prefix}picketlink-social
Summary:        PicketLink Social
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}twitter4j-core >= 0:3.0.3
Requires:       %{?scl_prefix_eap}json >= 0:20090211
Requires:       %{?scl_prefix_eap}openid4java-nodeps >= 0:0.9.6
Requires:       %{?scl_prefix_eap}google-oauth-client >= 0:1.14.1
Requires:       %{?scl_prefix_eap}google-api-client >= 0:1.14.1
Requires:       %{?scl_prefix_eap}google-http-client >= 0:1.14.1
Requires:       %{?scl_prefix_eap}google-http-client-jackson >= 0:1.14.1
Requires:       %{?scl_prefix_eap}google-api-services-oauth2 >= 0:v2
Requires:       %{?scl_prefix_eap}jackson-core-asl >= 0:1.9.9

%description -n %{?scl_prefix}picketlink-social
PicketLink Social.

%package -n %{?scl_prefix}picketlink-oauth
Summary:        PicketLink OAuth
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-simple-schema = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-json = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jettison >= 0:1.3.2
Requires:       %{?scl_prefix_eap}jackson-jaxrs >= 0:1.9.2
Requires:       %{?scl_prefix_eap}resteasy-jaxrs >= 0:2.3.6
%if 0
Requires:       %{?scl_prefix_eap}jboss-logging-processor >= 0:1.0.3
%endif

%description -n %{?scl_prefix}picketlink-oauth
PicketLink OAuth contains OAuth Implementation for v1.0 and v2.0.

%package -n %{?scl_prefix}picketlink-rest
Summary:        PicketLink REST
Group:          Development/Java

Requires:       %{?scl_prefix_eap}jboss-servlet-api_3.0_spec
Requires:       %{?scl_prefix_eap}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-simple-schema = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}jackson-jaxrs >= 0:1.9.2
Requires:       %{?scl_prefix_eap}resteasy-jaxrs >= 0:2.3.6
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.1

%description -n %{?scl_prefix}picketlink-rest
PicketLink REST provides a set of RESTful identity services and clients,
including support for SCIM 1.1.

%package -n %{?scl_prefix}picketlink-deltaspike
Summary:        PicketLink Apache DeltaSpike Extensions
Group:          Development/Java

Requires:       %{?scl_prefix_eap}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}deltaspike-core-api >= 0:1.0.0
Requires:       %{?scl_prefix_eap}deltaspike-core-impl >= 0:1.0.0
Requires:       %{?scl_prefix_eap}deltaspike-security-module-api >= 0:1.0.0
Requires:       %{?scl_prefix_eap}deltaspike-security-module-impl >= 0:1.0.0

%description -n %{?scl_prefix}picketlink-deltaspike
%{summary}.

%package -n %{?scl_prefix}picketlink
Summary:        PicketLink Full JAR Distribution
Group:          Development/Java

%if 0
Requires:       %{?scl_prefix_eap}picketlink-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-api = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-idm-impl = %{epoch}:%{version}-%{release}
Requires:       %{?scl_prefix_eap}picketlink-deltaspike = %{epoch}:%{version}-%{release}
%endif

%description -n %{?scl_prefix}picketlink
%{summary}.
%endif

%if %with javadoc
%package javadoc
Summary:        Javadoc for picketlink
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n redhat-picketlink -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/picketlink-build-config-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-build-config-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-build-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-build-config-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-build-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-build-config-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-common-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-common-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-common-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-common-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-common-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-common-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-config-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-config-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-config-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-config-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-idm-api-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-idm-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-idm-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-idm-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-idm-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-idm-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-idm-impl-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-idm-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-idm-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-idm-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-idm-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-idm-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-idm-simple-schema-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-idm-simple-schema-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-idm-simple-schema-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-idm-simple-schema-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-idm-simple-schema-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-idm-simple-schema-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-idm-tests-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-idm-tests-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/picketlink-idm-drools-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-idm-drools-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-idm-drools-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-idm-drools-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-idm-drools-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-idm-drools-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-api-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-api-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-impl-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-impl-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-impl-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-impl-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-impl-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-impl-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-federation-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-federation-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-federation-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-federation-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-federation-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-federation-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/picketlink-json-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-json-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-json-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-json-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-json-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-json-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-social-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-social-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-social-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-social-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-social-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-social-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-oauth-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-oauth-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-oauth-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-oauth-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-oauth-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-oauth-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-rest-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-rest-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-rest-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-rest-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-rest-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-rest-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-deltaspike-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-deltaspike-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-deltaspike-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-deltaspike-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-deltaspike-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-deltaspike-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/picketlink-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/picketlink-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/picketlink-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/picketlink-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/picketlink-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/picketlink-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/picketlink-%{namedversion} -x META-INF/\*
%{__ln_s} picketlink-%{namedversion} %{buildroot}%{_javadocdir}/picketlink
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}picketlink-build-config
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-build-config-%{namedversion}.jar
%{_javadir}/picketlink-build-config.jar
%if %with javadoc
%{_javadir}/picketlink-build-config-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-build-config-javadoc.jar
%endif
%{_javadir}/picketlink-build-config-%{namedversion}-sources.jar
%{_javadir}/picketlink-build-config-sources.jar

%files -n %{?scl_prefix}picketlink-common
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-common-%{namedversion}.jar
%{_javadir}/picketlink-common.jar
%if %with javadoc
%{_javadir}/picketlink-common-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-common-javadoc.jar
%endif
%{_javadir}/picketlink-common-%{namedversion}-sources.jar
%{_javadir}/picketlink-common-sources.jar

%files -n %{?scl_prefix}picketlink-config
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-config-%{namedversion}.jar
%{_javadir}/picketlink-config.jar
%if %with javadoc
%{_javadir}/picketlink-config-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-config-javadoc.jar
%endif
%{_javadir}/picketlink-config-%{namedversion}-sources.jar
%{_javadir}/picketlink-config-sources.jar

%files -n %{?scl_prefix}picketlink-idm-api
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-idm-api-%{namedversion}.jar
%{_javadir}/picketlink-idm-api.jar
%if %with javadoc
%{_javadir}/picketlink-idm-api-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-idm-api-javadoc.jar
%endif
%{_javadir}/picketlink-idm-api-%{namedversion}-sources.jar
%{_javadir}/picketlink-idm-api-sources.jar

%files -n %{?scl_prefix}picketlink-idm-impl
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-idm-impl-%{namedversion}.jar
%{_javadir}/picketlink-idm-impl.jar
%if %with javadoc
%{_javadir}/picketlink-idm-impl-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-idm-impl-javadoc.jar
%endif
%{_javadir}/picketlink-idm-impl-%{namedversion}-sources.jar
%{_javadir}/picketlink-idm-impl-sources.jar

%files -n %{?scl_prefix}picketlink-idm-simple-schema
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-idm-simple-schema-%{namedversion}.jar
%{_javadir}/picketlink-idm-simple-schema.jar
%if %with javadoc
%{_javadir}/picketlink-idm-simple-schema-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-idm-simple-schema-javadoc.jar
%endif
%{_javadir}/picketlink-idm-simple-schema-%{namedversion}-sources.jar
%{_javadir}/picketlink-idm-simple-schema-sources.jar

%files -n %{?scl_prefix}picketlink-idm-tests
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-idm-tests-%{namedversion}.jar
%{_javadir}/picketlink-idm-tests.jar

%files -n %{?scl_prefix}picketlink-idm-drools
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-idm-drools-%{namedversion}.jar
%{_javadir}/picketlink-idm-drools.jar
%if %with javadoc
%{_javadir}/picketlink-idm-drools-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-idm-drools-javadoc.jar
%endif
%{_javadir}/picketlink-idm-drools-%{namedversion}-sources.jar
%{_javadir}/picketlink-idm-drools-sources.jar

%files -n %{?scl_prefix}picketlink-api
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-api-%{namedversion}.jar
%{_javadir}/picketlink-api.jar
%if %with javadoc
%{_javadir}/picketlink-api-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-api-javadoc.jar
%endif
%{_javadir}/picketlink-api-%{namedversion}-sources.jar
%{_javadir}/picketlink-api-sources.jar

%files -n %{?scl_prefix}picketlink-impl
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-impl-%{namedversion}.jar
%{_javadir}/picketlink-impl.jar
%if %with javadoc
%{_javadir}/picketlink-impl-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-impl-javadoc.jar
%endif
%{_javadir}/picketlink-impl-%{namedversion}-sources.jar
%{_javadir}/picketlink-impl-sources.jar

%files -n %{?scl_prefix}picketlink-federation
%defattr(0644,root,root,0755)
%doc LICENSE.TXT README.md RELEASE_PROCEDURE.md
%{_javadir}/picketlink-federation-%{namedversion}.jar
%{_javadir}/picketlink-federation.jar
%if %with javadoc
%{_javadir}/picketlink-federation-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-federation-javadoc.jar
%endif
%{_javadir}/picketlink-federation-%{namedversion}-sources.jar
%{_javadir}/picketlink-federation-sources.jar

%if 0
%files -n %{?scl_prefix}picketlink-json
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-json-%{namedversion}.jar
%{_javadir}/picketlink-json.jar
%if %with javadoc
%{_javadir}/picketlink-json-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-json-javadoc.jar
%endif
%{_javadir}/picketlink-json-%{namedversion}-sources.jar
%{_javadir}/picketlink-json-sources.jar

%files -n %{?scl_prefix}picketlink-social
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-social-%{namedversion}.jar
%{_javadir}/picketlink-social.jar
%if %with javadoc
%{_javadir}/picketlink-social-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-social-javadoc.jar
%endif
%{_javadir}/picketlink-social-%{namedversion}-sources.jar
%{_javadir}/picketlink-social-sources.jar

%files -n %{?scl_prefix}picketlink-oauth
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-oauth-%{namedversion}.jar
%{_javadir}/picketlink-oauth.jar
%if %with javadoc
%{_javadir}/picketlink-oauth-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-oauth-javadoc.jar
%endif
%{_javadir}/picketlink-oauth-%{namedversion}-sources.jar
%{_javadir}/picketlink-oauth-sources.jar

%files -n %{?scl_prefix}picketlink-rest
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-rest-%{namedversion}.jar
%{_javadir}/picketlink-rest.jar
%if %with javadoc
%{_javadir}/picketlink-rest-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-rest-javadoc.jar
%endif
%{_javadir}/picketlink-rest-%{namedversion}-sources.jar
%{_javadir}/picketlink-rest-sources.jar

%files -n %{?scl_prefix}picketlink-deltaspike
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-deltaspike-%{namedversion}.jar
%{_javadir}/picketlink-deltaspike.jar
%if %with javadoc
%{_javadir}/picketlink-deltaspike-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-deltaspike-javadoc.jar
%endif
%{_javadir}/picketlink-deltaspike-%{namedversion}-sources.jar
%{_javadir}/picketlink-deltaspike-sources.jar

%files -n %{?scl_prefix}picketlink
%defattr(0644,root,root,0755)
%{_javadir}/picketlink-%{namedversion}.jar
%{_javadir}/picketlink.jar
%if %with javadoc
%{_javadir}/picketlink-%{namedversion}-javadoc.jar
%{_javadir}/picketlink-javadoc.jar
%endif
%{_javadir}/picketlink-%{namedversion}-sources.jar
%{_javadir}/picketlink-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/picketlink-parent-%{namedversion}
%{_javadocdir}/picketlink-parent
%endif

%changelog
* Mon Oct 19 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- fix install

* Mon Oct 19 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- fix RPM install

* Mon Oct 19 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- fix RPM setup

* Mon Oct 19 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- 2.5.5.SP1

* Fri Jul 24 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-3.Final_redhat_1.1
- do not require jboss-logging-processor

* Wed Jul 22 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.Final_redhat_1.1
- fix RPM

* Wed Jul 22 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.Final_redhat_1.1
- fix file list

* Wed Jul 22 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.Final_redhat_1.1
- release

